---
layout: default
---
<div class="row">
    <sidebar class="col-md-12 col-lg-2 ml-sm-auto">
        <div class="navbar navbar-expand-lg navbar-light toc">
            <button id="sidebar-toggler" class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nav-sidebar" aria-controls="nav-sidebar" aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-chevron-right" style="width:16.41px"></i>
                <div class="navbar-brand pl-2">Guides</div>
            </button>
            <div class="collapse navbar-collapse flex-column" id="nav-sidebar">
                <div class="toc-search">
                    {% include search.html %}
                </div>
                <div class="toc-nav">
                    <div class="navbar-nav guide-nav flex-column text-left">
                        <div class="toc-group{% if page.category == 'basics' %} active{% endif %}">
                            <span class="nav-item toc-header">Basics</span>
                            {% assign guides = site.guides | where:"category","basics" | sort:"order"  %}
                            {% for guide in guides %}
                            <a class="nav-item toc-item guide nav-link{% if page.url == guide.url %} active{% endif %}" href="{{ site.baseurl }}{{guide.url}}">
                                <i class="fas fa-circle"></i>
                                <span>{{guide.title}}</span>
                            </a>
                            {% endfor %}
                        </div>
                        <div class="toc-group{% if page.category == 'advanced' %} active{% endif %}">
                            <span class="nav-item toc-header">Advanced</span>
                            {% assign guides = site.guides | where:"category","advanced" | sort:"order"  %}
                            {% for guide in guides %}
                            <a class="nav-item toc-item guide nav-link{% if page.url == guide.url %} active{% endif %}" href="{{ site.baseurl }}{{guide.url}}">
                                <i class="fas fa-circle"></i>
                                <span>{{guide.title}}</span>
                            </a>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </sidebar>
    <main class="col-lg-8 ml-sm-auto">
        <h1 id="page-head">{{ page.title }} <a href="{{ site.baseurl}}{{ page.url }}"><i class="fas fa-link text-primary"></i></a></h1>
        <div id="content" class="guide">
            <div id="raw">
                {{content}}
            </div>
            <ul id="guide-nav" class="nav nav-pills"></ul>
            <div id="guide-tabs" class="tab-content"></div>
            <div id="guide-tabs-navigators" class="d-flex justify-content-end">
                <span id="prev" class="btn btn-default btn-prev mr-2"><i class="fas fa-chevron-left"></i> <span>Prev</span></span>
                <span id="next" class="btn btn-primary btn-next"><span>Next</span> <i class="fas fa-chevron-right"></i></span>
                <a id="facets" href="{{ site.baseurl  }}/facets/required-elements" class="btn btn-primary btn-next ml-2" style="display:none"><span>Facets</span> <i class="fas fa-chevron-right"></i></a>
            </div>
        </div>
    </main>
    <aside class="col-lg-2 ml-sm-auto d-none d-lg-block">
    </aside>
</div>
